OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Typedefs | Variables
signs_type.h File Reference

Types related to signs. More...

Go to the source code of this file.

## Typedefs
typedef uint16 | SignID
| The type of the IDs of signs.

## Variables
static const SignID | INVALID_SIGN = 0xFFFF
| Sentinel for an invalid sign.
static const uint | MAX_LENGTH_SIGN_NAME_CHARS = 32
| The maximum length of a sign name in characters including '\0'.

## Detailed Description

Types related to signs.

Definition in file signs_type.h.

## Typedef Documentation

typedef uint16 SignID

The type of the IDs of signs.

Definition at line 16 of file signs_type.h.